Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::SMD3MeshBuffer Struct Reference

Holding Frame Data for a Mesh. More...

`#include <IAnimatedMeshMD3.h>`

Inheritance diagram for irr::scene::SMD3MeshBuffer:

List of all members.

## Public Attributes

core::array< s32 > | Indices
SMD3MeshHeader | MeshHeader
core::stringc | Shader
core::array< SMD3TexCoord > | Tex
core::array< SMD3Vertex > | Vertices

## Detailed Description

Holding Frame Data for a Mesh.

Definition at line 148 of file IAnimatedMeshMD3.h.

## Member Data Documentation

core::array< s32 > irr::scene::SMD3MeshBuffer::Indices

Definition at line 153 of file IAnimatedMeshMD3.h.

SMD3MeshHeader irr::scene::SMD3MeshBuffer::MeshHeader

Definition at line 150 of file IAnimatedMeshMD3.h.

core::stringc irr::scene::SMD3MeshBuffer::Shader

Definition at line 152 of file IAnimatedMeshMD3.h.

core::array< SMD3TexCoord > irr::scene::SMD3MeshBuffer::Tex

Definition at line 155 of file IAnimatedMeshMD3.h.

core::array< SMD3Vertex > irr::scene::SMD3MeshBuffer::Vertices

Definition at line 154 of file IAnimatedMeshMD3.h.

The documentation for this struct was generated from the following file:

- IAnimatedMeshMD3.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Feb 14 13:07:13 2010 by Doxygen (1.6.2)